Public Member Functions | Data Fields

# ScriptFileChecksumCreator Struct Reference

Helper for creating a MD5sum of all files within of a script. More...

Inheritance diagram for ScriptFileChecksumCreator:

## Public Member Functions
| ScriptFileChecksumCreator (Subdirectory dir)
| Initialise the md5sum to be all zeroes, so we can easily xor the data.
virtual bool | AddFile (const char *filename, size_t basepath_length, const char *tar_filename)
| Add a file with the given filename.
## Data Fields
byte | md5sum [16]
| The final md5sum.
Subdirectory | dir
| The directory to look in.

## Detailed Description

Helper for creating a MD5sum of all files within of a script.

Definition at line 177 of file script_scanner.cpp.

## Member Function Documentation

virtual bool ScriptFileChecksumCreator::AddFile | ( | const char * | filename,
|  | size_t | basepath_length,
|  | const char * | tar_filename |
| ) |  |  | `[inline, virtual]`

Add a file with the given filename.

Parameters:

  | filename | the full path to the file to read
  | basepath_length | amount of characters to chop of before to get a filename relative to the search path.
  | tar_filename | the name of the tar file the file is read from.

Returns:
  true if the file is added.

Implements FileScanner.

Definition at line 192 of file script_scanner.cpp.

References dir, FioFCloseFile(), FioFOpenFile(), and md5sum.

Referenced by IsSameScript().

The documentation for this struct was generated from the following file:

- src/script/script_scanner.cpp